import 'package:workouttest_util/model/cache.dart';
import 'package:workouttest_util/model/property.dart';
import 'package:workouttest_util/service/property_service.dart';

class PropertyRepository {
  List<Property>? _properties;

  Future<List<Property>?> getDBProperties() async {
    _properties = await PropertyApi().getProperties();
    return _properties;
  }

  List<Property>? getProperties() {
    return _properties;
  }

  Property? getPropertyByName(String name) {
    Property? property;
    _properties ??= Cache().getProperties();
    if (_properties != null) {
      for (var element in _properties!) {
        if (name == element.propertyName) {
          property = element;
        }
      }
    }
    return property;
  }
}
